%bcond_without check

%global goipath         github.com/mr-tron/base58
Version:                1.2.0

%gometa

%global common_description %{expand:
Fast implementation of base58 encoding on golang.}

%global golicenses      LICENSE
%global godocs          examples README.md base58/DEPRECATED.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Fast implementation of base58 encoding on golang

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Jun 08 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.2.0-2
- Rebuilt for loongarch64

* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
